'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _ = require('../../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function renderFeature(feature, s) {
  return _react2.default.createElement(
    'article',
    { key: feature.key, style: s.feature },
    _react2.default.createElement(
      'h5',
      { style: s.featureTitle },
      feature.title
    ),
    _react2.default.createElement(
      'p',
      { style: s.featureDescription },
      feature.description
    )
  );
}

exports.default = function (props) {

  var s = (0, _styles2.default)(props);

  return _react2.default.createElement(
    'section',
    { style: s.box },
    _react2.default.createElement(
      'h3',
      { style: s.title },
      props.title
    ),
    _react2.default.createElement(
      'h4',
      { style: s.subtitle },
      props.subtitle
    ),
    _react2.default.createElement(
      'div',
      { style: s.featureContainer },
      props.features.map(function (f) {
        return renderFeature(f, s);
      })
    )
  );
};